Module java.base
Package java.nio.channels

# Class NotYetConnectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
java.nio.channels.NotYetConnectedException

All Implemented Interfaces:
  `Serializable`

public class NotYetConnectedException extends IllegalStateException
Unchecked exception thrown when an attempt is made to invoke an I/O operation upon a socket channel that is not yet connected.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotYetConnectedException()`
Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotYetConnectedException

public NotYetConnectedException()
Constructs an instance of this class.